Subject: Re: bug#75651: 31.0.50; error after pop-to-buffer with fullscreen messes up window config when called non-interactively

From: Alexander Prähauser <[email-masked]>
Date: Sun, 19 Jan 2025 18:48:36 +0000

"martin rudalics" <[email-masked]> writes:

Huh. I hadn't quit the debugger because I had experienced that issue
for some time and just wanted to find the exact cause to write a bug
report. Could I really just not have quit the debugger each time I
encountered it? That seems incredible to me, but I don't have any better
explanation. If it happens again when I can surely say I've quit the
debugger I'll write another reply, but otherwise the error seems to lie
with me. Sorry, everyone!

>  >> Sorry, I just got what's really happening: the error prevents the value of
>  >> display-buffer-alist from being re-set. Still, if it can be prevented I'd
>  >> guess it shouldn't happen.
>  >
>  > Martin, any comments or thoughts?
>
> When Emacs enters the debugger any bindings stay as they were set up
> at the time the error occurred - otherwise I could not investigate the
> cause of the error.  As soon as I quit the debugger, I leave the
> let-binding and things work as before.  So IIUC this must not be
> prevented until the debugger has been left.  Or am I missing something?
>
> martin